Sign inGet started

Organizations

POST
/organizations
Create a new organization for the current user.
请求载荷
name
string
必填
Organization's display name.
slug
string
必填
Organization's human-readable identifier.
countryCode
string
必填
The country in which the organization operates.
响应载荷
id
string
必填
The organization's ID
name
string
必填
Organization's display name.
slug
string
必填
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
必填
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
必填
How many members are active
owner
string
必填
ID of the user that owns the organization
createdAt
string
必填
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
显示子属性
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
代码示例
curl -X POST 'https://api.bird.com/organizations' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}
Get an organization by its ID.
响应载荷
id
string
必填
The organization's ID
name
string
必填
Organization's display name.
slug
string
必填
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
必填
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
必填
How many members are active
owner
string
必填
ID of the user that owns the organization
createdAt
string
必填
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
显示子属性
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}
Update an organization's properties.
请求载荷
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
响应载荷
id
string
必填
The organization's ID
name
string
必填
Organization's display name.
slug
string
必填
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
必填
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
必填
How many members are active
owner
string
必填
ID of the user that owns the organization
createdAt
string
必填
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
显示子属性
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'